import { Logger, LoggerLevel } from "./../libs/logger";
import { Element } from "./element.interface";
import scene from "./scene";
export declare abstract class ElementShadow implements Element {
    title?: string;
    ignore?: boolean;
    ignoreError?: boolean;
    error?: any;
    log?: LoggerLevel;
    vars?: Object;
    async?: boolean;
    loop?: string;
    loopKey?: any;
    loopValue?: any;
    if: any;
    tag: string;
    parentData?: any;
    parent: ElementShadow;
    setContextVarsString?: any;
    setContextVarsObject?: any;
    execResult?: any;
    ignoreVarsBeforeExec?: string[];
    logger: Logger;
    scene: scene;
    markElementNeedReplace(): void;
    setVarsAfterExec(): Promise<void>;
    evalPropsBeforeExec(): Promise<void>;
    $$prepare(): Promise<boolean>;
    getParentByClassName<T extends ElementShadow>(ClazzType: new (...args: any[]) => T): T;
    $$extend(ids: string[] | string): {};
    $$clone(parent: ElementShadow): any;
    $$export(id: string, props: any): void;
    init(_props?: any): void;
    abstract exec(input?: any): any;
    dispose(): void;
}
export declare function copyElementShadowPrototype(elem: any): void;
