"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExecJs = void 0;
const async_function_1 = require("../../libs/async-function");
const file_remote_1 = require("../../libs/file-remote");
const element_shadow_1 = require("../element-shadow");
class ExecJs extends element_shadow_1.ElementShadow {
    script;
    path;
    ignoreVarsBeforeExec = ['script'];
    async init(props) {
        if (typeof props === 'string') {
            this.script = props;
        }
        else {
            Object.assign(this, props);
        }
    }
    async exec() {
        if (this.path) {
            const fileRemote = new file_remote_1.FileRemote(this.path, this.scene);
            this.script = await fileRemote.getTextContent();
        }
        if (!this.script)
            throw new Error('"script" or "path" is required');
        try {
            this.logger.debugBlock(true);
            const rs = await (0, async_function_1.callFunctionScript)(this.script, this, { vars: this.scene.globalVars, logger: this.logger });
            return rs;
        }
        finally {
            this.logger.debugBlock(false);
        }
    }
}
exports.ExecJs = ExecJs;
//# sourceMappingURL=exec-js.js.map