import { Scene } from './../components/scene/scene';
import { Logger } from './../libs/logger';
import { TagsManager } from './../managers/tags-manager';
import { TemplatesManager } from './../managers/templates-manager';
import { UtilityFunctionManager } from './../managers/utility-function-manager';
import { RootSceneProps } from './root-scene.props';
export declare class RootScene extends Scene {
    logger: Logger;
    static tagsManager: TagsManager;
    static templatesManager: TemplatesManager;
    static globalUtils: UtilityFunctionManager;
    static globalVars: {
        [key: string]: any;
    };
    static rootDir: string;
    constructor(logger: Logger);
    exec(): Promise<import("./element-shadow").ElementShadow[]>;
    dispose(): Promise<void>;
    init(props: RootSceneProps): Promise<void>;
    private handleShutdown;
    static mergeGlobalVars(obj: any): void;
}
