"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.callFunctionScript = void 0;
const root_scene_1 = require("./../components/root-scene");
const AsyncFunction = (async function () { }).constructor;
async function callFunctionScript(script, ctx, others = {}) {
    const args = Object.assign({}, {
        utils: root_scene_1.RootScene.globalUtils,
        globalVars: root_scene_1.RootScene.globalVars,
        require,
    }, others);
    const keys = Object.keys(args);
    const func = new AsyncFunction(...keys, script);
    const vl = await func.call(ctx, ...keys.map(k => args[k]));
    return vl;
}
exports.callFunctionScript = callFunctionScript;
//# sourceMappingURL=async-function.js.map