"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const root_scene_1 = require("./../components/root-scene");
const file_temp_1 = require("./../libs/file-temp");
const testing_1 = require("./../testing");
beforeEach(() => {
    testing_1.ElementTest.reset();
});
afterEach(async () => {
});
test('load a new tag from external file', async () => {
    const tmpFile = new file_temp_1.FileTemp('.js');
    try {
        await tmpFile.create(`
    module.exports = class {
      constructor(logger) {
        this.logger = logger
      }
      init(props) {
        this.props = props
      }
      exec() {
        return this.props
      }
      dispose() { }
    }`);
        const data = { say: 'hello test' };
        await root_scene_1.RootScene.tagsManager.register({
            test1: tmpFile.file,
        });
        const TestClass = await root_scene_1.RootScene.tagsManager.getTag('test1');
        const test = testing_1.ElementTest.create(TestClass);
        await test.init(data);
        const rs = await test.exec();
        expect(rs).toEqual(data);
    }
    finally {
        tmpFile.remove();
    }
});
//# sourceMappingURL=tags-manager.spec.js.map