"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElementTest = void 0;
const root_scene_1 = require("./components/root-scene");
const logger_1 = require("./libs/logger");
class ElementTest {
    static rootScene;
    static reset() {
        ElementTest.rootScene = new root_scene_1.RootScene(new logger_1.Logger(logger_1.LoggerLevel.SILENT));
    }
    static create(ElementClazz, ...args) {
        const elem = this.rootScene.elementBuilder
            .element(ElementClazz, ...args)
            .logger(this.getLogger())
            .tag(ElementClazz.name)
            .build();
        return elem;
    }
    static get globalVars() {
        return root_scene_1.RootScene.globalVars;
    }
    static get vars() {
        return this.rootScene.globalVars;
    }
    static getLogger() {
        return this.rootScene.logger;
    }
}
exports.ElementTest = ElementTest;
ElementTest.reset();
//# sourceMappingURL=testing.js.map